Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(19)

Side by Side Diff: tests/abandon.sh

Issue 197213008: Invoke the bash shell via /usr/bin/env so that these scripts run on operating systems without /bin/… (Closed) Base URL: https://chromium.googlesource.com/chromium/tools/depot_tools.git@master
Patch Set: Use "/usr/bin/env bash" for these files too. Created 6 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch
« no previous file with comments | « testing_support/gerrit-init.sh ('k') | tests/basic.sh » ('j') | no next file with comments »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
OLDNEW
1 #!/bin/bash 1 #!/usr/bin/env bash
2 2
3 # Copyright (c) 2012 The Chromium Authors. All rights reserved. 3 # Copyright (c) 2012 The Chromium Authors. All rights reserved.
4 # Use of this source code is governed by a BSD-style license that can be 4 # Use of this source code is governed by a BSD-style license that can be
5 # found in the LICENSE file. 5 # found in the LICENSE file.
6 6
7 # Check that abandoning a branch also abandons its issue. 7 # Check that abandoning a branch also abandons its issue.
8 8
9 set -e 9 set -e
10 10
11 . ./test-lib.sh 11 . ./test-lib.sh
(...skipping 24 matching lines...) Expand all
36 "$GIT_CL_STATUS | grep -q abandoned && exit 1 || exit 0" 36 "$GIT_CL_STATUS | grep -q abandoned && exit 1 || exit 0"
37 ) 37 )
38 38
39 SUCCESS=$? 39 SUCCESS=$?
40 40
41 cleanup 41 cleanup
42 42
43 if [ $SUCCESS == 0 ]; then 43 if [ $SUCCESS == 0 ]; then
44 echo PASS 44 echo PASS
45 fi 45 fi
OLDNEW
« no previous file with comments | « testing_support/gerrit-init.sh ('k') | tests/basic.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698